Debian Bug report logs - #608300
Adaptions to GNU/kFreeBSD.

version graph

Package: netdiag; Maintainer for netdiag is Michael Meskes <meskes@debian.org>; Source for netdiag is src:netdiag.

Reported by: debian@gisladisker.se

Date: Wed, 29 Dec 2010 19:15:01 UTC

Severity: wishlist

Found in version netdiag/1.0-13

Fixed in version netdiag/1.0-14

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#608300; Package netdiag. (Wed, 29 Dec 2010 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@gisladisker.se:
New Bug report received and forwarded. Copy sent to Michael Meskes <meskes@debian.org>. (Wed, 29 Dec 2010 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: submit@bugs.debian.org
Subject: Adaptions to GNU/kFreeBSD.
Date: Wed, 29 Dec 2010 20:11:27 +0100
[Message part 1 (text/plain, inline)]
Package: netdiag
Version: 1.0-13
Severity: wishlist

Hello there,

this package has three FTBFS against GNU/kFreeBSD,
so I will try to document the present situation.

netwatch: Will require heavy patching to work, since it
          uses NETLINK with Linux. FTBFS remains.

statnet: Also needs substantial patching, since SOCK_RAW
         in GNU/kFreeBSD can not replace SOCK_PACKET.
         A simple patch produces a compilable source,
         i.e., removes a FTBFS. The executable will fail
         at execution time.

netload: Relies on "/proc/net/dev" for number crunching.
         This file is presently not working properly in
         GNU/kFreeBSD. The executable is compilable and
         will work once "/proc/net/dev" contains the
         updated statistics that is expected from GNU/Linux.

strobe, tcpspray: Work out of the box.

tcpblast: Upstream makes mistakes in distinguishing IPv4
          and IPv6, which are forgivable with GNU/Linux,
          bit not so with GNU/kFreeBSD. Once these are
          mended the attempted functionality is present.

trafshow: An elementary patch removes the FTBFS and produces
          a functional utility.


Using the attached patch, and inhibiting all traces of "netwatch"
in "debian/rules", the package can be built also on GNU/kFreeBSD,
but as said aboev, "statnet" and "netload" presently remain useless.


Best regards,
Mats Erik Andersson, DM
[adaption_to_kfreebsd.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#608300; Package netdiag. (Tue, 11 Jan 2011 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. (Tue, 11 Jan 2011 14:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 608300@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 608300@bugs.debian.org
Subject: netload: GNU/kFreeBSD support and other bugs
Date: Tue, 11 Jan 2011 15:00:52 +0100
[Message part 1 (text/plain, inline)]
Hello there,

after two days of hard work, here is a patch that
resolves the porting of "netload" to GNU/kFreeBSD;
in fact to all of GNU/kFreeBSD, FreeBSD, and OpenBSD.
The code has been tested in Ubuntu 6.06, Debian Squeeze
GNU/Linux and GNU/kFreeBSD, FreeBSD 6.4 and 8.0,
as well as OpenBSD 4.4 and 4.6.

The price to pay, is that some content present in
"/proc/net/dev" had momentarily to be replaced
by naught for *BSD. These concern drops and fifo
faults. They might be improved at some later date.

A multitude of other bugs, like buffer overruns,
input sanitation, and appaling sloppiness, have
been corrected in the original source code. The old
code is really ugly and an obvious security risk.

Regards,
  Mats Erik Andersson, DM
[adapt_netload_to_bsd.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Wed, 16 Feb 2011 13:06:11 GMT) Full text and rfc822 format available.

Notification sent to debian@gisladisker.se:
Bug acknowledged by developer. (Wed, 16 Feb 2011 13:06:11 GMT) Full text and rfc822 format available.

Message #15 received at 608300-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 608300-close@bugs.debian.org
Subject: Bug#608300: fixed in netdiag 1.0-14
Date: Wed, 16 Feb 2011 13:02:09 +0000
Source: netdiag
Source-Version: 1.0-14

We believe that the bug you reported is fixed in the latest version of
netdiag, which is due to be installed in the Debian FTP archive:

netdiag_1.0-14.diff.gz
  to main/n/netdiag/netdiag_1.0-14.diff.gz
netdiag_1.0-14.dsc
  to main/n/netdiag/netdiag_1.0-14.dsc
netdiag_1.0-14_amd64.deb
  to main/n/netdiag/netdiag_1.0-14_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608300@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated netdiag package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Feb 2011 13:06:54 +0100
Source: netdiag
Binary: netdiag
Architecture: source amd64
Version: 1.0-14
Distribution: unstable
Urgency: low
Maintainer: Michael Meskes <meskes@debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 netdiag    - Net-Diagnostics (trafshow,strobe,netwatch,statnet,tcpspray,tcpbla
Closes: 608300 613057
Changes: 
 netdiag (1.0-14) unstable; urgency=low
 .
   * Re-packaged using separated patches.
   * Bumped Standards-Version to 3.9.1, no changes needed.
   * Added patch to make netload work on GNU/kFreeBSD and fix some bugs along
     the way. (Closes: #608300) - thanks to Mats Erik Andersson
     <mats.andersson@gisladisker.se>
   * Added patch to add IPv6 support to tcpspray. (Closes: #613057) - thanks to
     Mats Erik Andersson <mats.andersson@gisladisker.se>
Checksums-Sha1: 
 31238138c76dfed21286926a40b3817eabfdfdd2 997 netdiag_1.0-14.dsc
 74b7b0218dceb22570d7d971d83dc67c5b3243a7 123686 netdiag_1.0-14.diff.gz
 402e881b0fd955e8c09d8ae6e4ed808a17b3d6b5 299952 netdiag_1.0-14_amd64.deb
Checksums-Sha256: 
 faf7ee773c42ee278b40f9cd2e510e274d1dd911aef5c3b2f5ea4eb45e0fd583 997 netdiag_1.0-14.dsc
 bfcf206f1a84a6ac2847ef394722b8753bea9d6c48ba66e93a865e8f112321e5 123686 netdiag_1.0-14.diff.gz
 8c6625c72e0f300803ba58a569be8e67b15825676a2a06af073446744543057b 299952 netdiag_1.0-14_amd64.deb
Files: 
 b4eac91ec35397f11eef0ff7bd9f847a 997 net extra netdiag_1.0-14.dsc
 05d670362d12224e4f45163c3a433e7a 123686 net extra netdiag_1.0-14.diff.gz
 13d0c23f147f5b8aa6dbd69f62248f7f 299952 net extra netdiag_1.0-14_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNW8T1VkEm8inxm9ERAi08AJ0cwKRLaHJYVRfC+/14lsEIMXpLAACfXLRk
eq6P+/5cfOV0asndJwf5nAU=
=vTNc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Mar 2011 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:06:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.